package ru.ifmo.fileShare.server;

import ru.ifmo.fileShare.common.BaseTimer;
import ru.ifmo.fileShare.Consts;

public class ServerTimer extends BaseTimer {

	/**
     * @unimod.event.descr timeout
     */
	public static final String E221 = "e221";

	protected void init() {
		ServerController controller = (ServerController)engine.getControlledObjectsManager().getControlledObject("o2");
		controller.initTimer(this);
	}

	protected String getEvent() {
		return E221;
	}

    protected long getTimeout() {
        return Consts.SERVER_TIMEOUT;
    }
}
