package ru.ifmo.fileShare.server;

import com.evelopers.common.exception.CommonException;
import com.evelopers.unimod.core.stateworks.Event;
import com.evelopers.unimod.runtime.EventProvider;
import com.evelopers.unimod.runtime.ModelEngine;
import com.evelopers.unimod.runtime.context.StateMachineContextImpl;

public class ServerUserEventProvider implements EventProvider {

    /**
     * @unimod.event.descr close connection
     */
	public static final String E211 = "e211";

    private ModelEngine engine;

    public ServerUserEventProvider() {
        ServerSocketAcceptor.setConnectingServerUserEventProvider(this);
    }

    public void init(ModelEngine engine) throws CommonException {
		this.engine = engine;
	}

	public void dispose() {
	}

	public void disconnect() {
        engine.getEventManager().handle(new Event(E211), StateMachineContextImpl.create());
	}
}
