package ru.ifmo.fileShare;

import ru.ifmo.fileShare.util.ClientInfo;

public interface ServerEventListener {
    /**
     * Client connection hadler
     * @param ci client info
     */
    void onClientConnected(ClientInfo ci);

    /**
     * Session closed handler
     */
    void onSessionClosed();

    /**
     * Client action updated
     * @param action client action
     */
    void onActionUpdate(String action);
}
