package ru.ifmo.fileShare.client;

import ru.ifmo.fileShare.Consts;
import ru.ifmo.fileShare.common.BaseTimer;

public class ClientTimer extends BaseTimer {

    /**
     * @unimod.event.descr timeout
     */
    public static final String E121 = "e121";

    protected void init() {
        ClientController controller = (ClientController) engine.getControlledObjectsManager().getControlledObject("o1");
        controller.initTimer(this);
    }

    protected String getEvent() {
        return E121;
    }

    protected long getTimeout() {
        return Consts.CLIENT_TIMEOUT;
    }
}
