package ru.ifmo.fileShare.gui.controls;

import ru.ifmo.fileShare.util.FolderInfo;

import javax.swing.tree.DefaultMutableTreeNode;

public class FolderInfoTreeNode extends DefaultMutableTreeNode {
    private boolean childrenLoaded;

    public boolean isLeaf() {
        return false;
    }

    public FolderInfo getFolderInfo() {
        return (FolderInfo) getUserObject();
    }

    public void toggleSelection() {
        getFolderInfo().toggleSelection();
    }

    public boolean isChildrenLoaded() {
        return childrenLoaded;
    }

    public void setChildrenLoaded(boolean childrenLoaded) {
        this.childrenLoaded = childrenLoaded;
    }


}
