package ru.ifmo.fileShare.util;

import java.awt.*;

public class WindowUtils {
    public static void locateAtScreenCenter(Component c) {
        Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
        Rectangle cBounds = c.getBounds();
        if (cBounds.height > screenSize.height) {
            cBounds.height = screenSize.height;
        }
        if (cBounds.width > screenSize.width) {
            cBounds.width = screenSize.width;
        }
        c.setLocation((screenSize.width - cBounds.width) / 2,
                (screenSize.height - cBounds.height) / 2);
    }
}
